Bug 732026 - [RFE] Redesign progress bar (patch included)
Summary: [RFE] Redesign progress bar (patch included)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On: 623044
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 14:11 UTC by Marian Ganisin
Modified: 2019-05-22 13:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-20 00:38:44 UTC


Attachments (Terms of Use)
patch (2.71 KB, patch)
2011-08-19 14:11 UTC, Marian Ganisin
no flags Details | Diff
expected result (213.98 KB, image/png)
2011-08-19 14:12 UTC, Marian Ganisin
no flags Details

Description Marian Ganisin 2011-08-19 14:11:25 UTC
Created attachment 519044 [details]
patch

Current progress bar takes lot's of place and it doesn't fit to UI well. I tried to redesign it, anyway I tested it only in jobs list view. Screenshot shows expected result. Actually screenshot shows little bit more changes, attached patch covers just the progress bar. Other changes are reported in separate bugs.

Attached patch wasn't tested, I haven't beaker instance for testing. I didn't
even study beaker internals carefully. Please review it with care, avoid
possible issues introduced be me. ;)

Comment 1 Marian Ganisin 2011-08-19 14:12:18 UTC
Created attachment 519046 [details]
expected result

Comment 2 Raymond Mancy 2012-05-14 00:45:15 UTC
Apologies, these are being bumped to next maint release.

Comment 3 Raymond Mancy 2012-06-14 07:09:51 UTC
Thanks Marian, though I think we will pass on this patch for the timebeing. I don't really see how the new height of the progress bar + completion percentage changes much.

Comment 4 Marian Ganisin 2012-06-14 07:16:05 UTC
(In reply to comment #3)
> I don't really see how the new height of the progress bar + completion
> percentage changes much.

It' written in initial Description:

> Current progress bar takes lot's of place and it doesn't fit to UI well.

I am almost sure it won't break anything. This seems to be really harmless. Sounds strange that such patches aren't accepted, doesn't it?

Comment 5 Raymond Mancy 2012-06-14 08:02:23 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > I don't really see how the new height of the progress bar + completion
> > percentage changes much.
> 
> It' written in initial Description:
> 
> > Current progress bar takes lot's of place and it doesn't fit to UI well.
> 

I feel the current progress bar fits the UI fine. You will rarely get consensus of
what fits well and what doesn't, so it's not a point worth arguing over.

> I am almost sure it won't break anything. This seems to be really harmless.
> Sounds strange that such patches aren't accepted, doesn't it?

Looking at your screenshot, I find it harder to pick out the different colours when they appear in the progress bar.
I have to strain harder to see where the orange meets the red, like in J:121832.

Comment 6 Marian Csontos 2012-06-26 03:56:12 UTC
I have got the same problem with current progress bar - see Bug 623044.

IMHO it's the color, not the height of the bar, which makes it difficult to parse.

Comment 7 Raymond Mancy 2012-06-26 04:00:23 UTC
Good point Marian, let me try it with the Yellow.

Comment 8 Raymond Mancy 2012-07-12 07:11:13 UTC
Yellow is terrible against white! :-p

http://gerrit.beaker-project.org/#/c/1207/

Comment 11 Dan Callaghan 2012-07-20 00:38:44 UTC
Beaker 0.9.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.